# Interface ConsoleInterface

All Known Subinterfaces:
  `GUIConsoleInterface`

All Known Implementing Classes:
  `AWTConsole, Interpreter, JConsole`

public interface ConsoleInterface
The capabilities of a minimal console for BeanShell. Stream I/O and optimized print for output. A simple console may ignore some of these or map them to trivial implementations. e.g. print() with color can be mapped to plain text.

See Also:
  - `GUIConsoleInterface`

## Method Summary

Modifier and Type
Method
Description
`void`
`error(Object o)`
`PrintStream`
`getErr()`
`Reader`
`getIn()`
`PrintStream`
`getOut()`
`void`
`print(Object o)`
`void`
`println(Object o)`

## Method Details

### getIn

Reader getIn()

### getOut

PrintStream getOut()

### getErr

PrintStream getErr()

### println

void println(Object o)

### print

void print(Object o)

### error

void error(Object o)